netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
FPCatSearchExt.c File Reference
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Functions
STATIC void | catsearch_ext_send_raw (uint16_t f_bitmap, uint16_t d_bitmap, uint32_t rbitmap, uint16_t spec1_len, const void *spec1, size_t spec1_payload_len, uint16_t spec2_len, const void *spec2, size_t spec2_payload_len)
STATIC void | test227 ()
STATIC void | test529 ()
STATIC void | test530 ()
STATIC void | test549 ()
STATIC void | test550 ()
STATIC void | test552 ()
STATIC void | test553 ()
STATIC void | test554 ()
STATIC void | test555 ()
void | FPCatSearchExt_test ()

## Function Documentation

## ◆ catsearch_ext_send_raw()

STATIC void catsearch_ext_send_raw | ( | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap,
|  | uint32_t | rbitmap,
|  | uint16_t | spec1_len,
|  | const void * | spec1,
|  | size_t | spec1_payload_len,
|  | uint16_t | spec2_len,
|  | const void * | spec2,
|  | size_t | spec2_payload_len )

## ◆ FPCatSearchExt_test()

void FPCatSearchExt_test | ( |  | ) |

## ◆ test227()

STATIC void test227 | ( |  | ) |

## ◆ test529()

STATIC void test529 | ( |  | ) |

## ◆ test530()

STATIC void test530 | ( |  | ) |

## ◆ test549()

STATIC void test549 | ( |  | ) |

## ◆ test550()

STATIC void test550 | ( |  | ) |

## ◆ test552()

STATIC void test552 | ( |  | ) |

## ◆ test553()

STATIC void test553 | ( |  | ) |

## ◆ test554()

STATIC void test554 | ( |  | ) |

## ◆ test555()

STATIC void test555 | ( |  | ) |